Kerbal Space Program - Bug #4817

Cannot assign axis settings for joystick
04/29/2015 07:25 PM - vviz

Status: Closed Start date: 04/29/2015
Severity: Normal % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: 1.0 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

Hi Squad,

I'm unable to configure axis settings for my joystick. | use Logitech Force 3D Pro.

My OS is Windows 8.1 x64, I'm using Steam version of the game, so it is the latest game build up-to-date.

| believe the drivers for the joystick are the latest ones since this is pretty 'old' joystick model and the device works fine in any other
game.

buildID.txt says:
build id = 00830
2015.04.26 at 19:45:40 CEST
Branch: master

Steps to reproduce:

1) Launched the game from Steam

2) Went into the Settings and to the Input tab

3) In the Axis bindings area clicked the None button under the Pitch axis: Primary:

4) The popup window was shown where you need to press a button or move the stick while the game is listening for your input
5) Moved the joystick. In the popup window | saw it writing: Joystick 0 Axis 1

6) Clicked the Save button in the popup to confirm new setting. But nothing happened, the popup was still open.

7) Clicked the Cancel button and the popup was closed. But the button under Pitch axis: Primary: was still displaying 'None'

8) Clicked this 'None' button again. No popup was opened this time, but the whole Input settings tab became inactive, all controls
became grayed-out and unclickable.

9) Clicked the General tab and there clicked the Accept button

After that | launched the game one more time and now every time | go to Input settings | can see the 'None' button under the Pitch
axis: Primary: but clicking that button will never open a popup window again.

Clicking this 'None' button just makes the whole Input tab disabled. | can exit settings to the main menu and open settings again and
Input tab will become enabled again. But after clicking the 'None' button it again becomes disabled. I've captured this sequence on
video: https://youtu.be/Ce4ohMK_dU8

I'm attaching the KSP.log file where you can clearly see the KeyNotFoundException every time the device is enumerated.
Also you'll find my DxDiag.txt file (it contains some text in Russian though) and settings.txt.
Not sure if this is important: I'm using MechJeb version 2.5 (just downloaded the latest one) and that's the only add-on | have.

Related issues:

Related to Kerbal Space Program - Bug #5175: Joysticks without name strings a... Closed 06/24/2015
Related to Kerbal Space Program - Bug #4972: Game controllers not being recog... Closed 05/12/2015
Has duplicate Kerbal Space Program - Bug #5246: Settings: Input: Axis bindings Duplicate 07/17/2015
History

#1 - 05/23/2015 02:20 AM - User_337
- Status changed from New to Confirmed

- % Done changed from 0 to 10

| am also having this same issue. A few differences though:

1. I am using windows 7 professional 64bit
https://youtu.be/Ce4ohMK_dU8

2. My joystick is a Saitek cyborg EVO force
Other than those two differences, the nature and circumstances of the bug are the same.

Secondary to this, the game is unable to register the rudder and throttle axis of my joystick.
However, this has been an issue since version 0.25 and may or may not be a symptom associated with this current bug.

#2 - 06/24/2015 07:57 PM - lllusion
| have been having identical symptoms since 1.0 with multiple joystick. | am on a Mac with the Steam version as well.
Currently on 1.04 and problem persists.

#3 - 06/26/2015 06:24 AM - vviz

I've checked the issue yesterday after my game has been updated to 1.0.4 and now | can say that the problem is gone. So I've configured all joystick
axes and buttons successfully and been able to play the game with joystick support. So for me the issue has been resolved by the update.

#4 - 06/26/2015 10:42 AM - Squelch

- Status changed from Confirmed to Resolved

- % Done changed from 10 to 100

vviz wrote:
I've checked the issue yesterday after my game has been updated to 1.0.4 and now | can say that the problem is gone. So I've configured all
joystick axes and buttons successfully and been able to play the game with joystick support. So for me the issue has been resolved by the
update.

We are aware of the unique way Unity3D engine handles joystick axes, and this has presented a few challenges to all developers it seems.

Thanks for reporting back with your success. I'll nark this issue as resolved, but please report again if it resurfaces?

#5 - 06/26/2015 03:00 PM - lllusion

As the identical issue still exists for me on 1.0.4 on my Mac Steam version, would this be considered a new or different bug?

#6 - 06/28/2015 08:34 PM - Squelch
- Status changed from Resolved to New
- % Done changed from 100 to 0

I've reopened this issue as it seems too many others are suffering from odd effects on controllers.

Forum thread for reference - KSP won't accept Joystick axes

We need to determine if this is a driver suite, locale, particular hardware combinations or something else.

For the record, | have a number of controllers - sticks, wheels, and a custom build - and all of them can be mapped correctly on a Win7 EN_UK
system.

We do know of the following issues:

Removal of a controller between game sessions can lead to problems. (includes sleeping wireless controllers)
Removing a device while KSP is running. (includes wireless controllers going to sleep)

Changing USB ports between game sessions can lead to problems.

Hot plugging after starting KSP can lead to a failure to detect controllers. (including first and second points)
System locale (language settings) can sometimes cause settings.cfg corruption on non English systems.

Please take measures that you are not falling foul of any of these issues before reporting.

#7 - 06/29/2015 11:15 AM - Squelch

- Related to Bug #5175: Joysticks without name strings are not indexed properly and throw exceptions added

#8 - 07/18/2015 09:37 AM - Squelch
- Related to Bug #4972: Game controllers not being recognized added

#9 - 07/18/2015 09:39 AM - Squelch
- Has duplicate Bug #5246: Settings: Input: Axis bindings added

05/12/2024 2/3


http://forum.kerbalspaceprogram.com/threads/118264-Windows-KSP-won-t-accept-Joystick-axes

#10 - 07/27/2015 05:57 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#11-10/11/2015 09:36 PM - TV4Fun

| am also having this problem. Please fix.
#12 - 11/17/2015 12:53 AM - Squelch
TV4Fun wrote:

| am also having this problem. Please fix.

Would you mind retesting in 1.0.5 please?

#13 - 07/17/2016 09:40 AM - TriggerAu

- Status changed from New to Needs Clarification

#14 - 08/09/2016 01:38 PM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention

Files

KSP.log 162 KB 04/29/2015 vvtz
DxDiag.txt 65.7 KB 04/29/2015 vvtz
settings.cfg 24.9 KB 04/29/2015 wiz
